This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 216069 - Many of 'language support's are not translated.
Many of 'language support's are not translated.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: comps (Show other bugs)
5.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Dennis Gregorovic
: Reopened, Translation
Depends On:
Blocks: 216548
  Show dependency treegraph
 
Reported: 2006-11-16 22:30 EST by Noriko Mizumoto
Modified: 2008-05-21 11:40 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHEA-2008-0436
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:40:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
report of translation status (4.26 KB, application/octet-stream)
2007-02-06 13:47 EST, Dennis Gregorovic
no flags Details
still have on untranslated string in ja_JP locale (77.69 KB, image/png)
2008-04-04 01:35 EDT, A S Alam
no flags Details

  None (edit)
Description Noriko Mizumoto 2006-11-16 22:30:41 EST
Description of problem:
In anaconda, there are many of 'language support's not translated, such as
Arabic Support, Faerosese Support, etc. There are translation existed in
comps/ja.po but those are not reflected.

Version-Release number of selected component (if applicable):
This has been found in RHEL5 Beta2 QA test held this week.
Comment 1 Noriko Mizumoto 2006-11-16 22:44:32 EST
This is duplicated bug#194617.
Comment 2 Lawrence Lim 2006-11-16 23:10:37 EST
Not really a duplicate as anaconda pulls in a lot of sub-component such as
comps. If the .pot files and the .op files of this component is complete, then
anaconda will display the information accordingly.
Comment 3 RHEL Product and Program Management 2006-11-16 23:20:33 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Chester Cheng 2006-11-21 08:56:27 EST
Localization Team, please put this file (comps-po) in your priority level 1 list
since it is shown in anaconda. 

I believe this is the latest version and ready to go.
It will be put into translation queue and scheduled to be done by 30 November 2006.

----------------------------
revision 1.21
date: 2006/10/02 19:55:58;  author: notting;  state: Exp;  lines: +1 -1
fix typo
----------------------------
revision 1.20
date: 2006/10/02 17:43:38;  author: notting;  state: Exp;  lines: +411 -412
commit re-merged files
Comment 5 Noriko Mizumoto 2006-11-21 09:21:31 EST
This is not in head...but in branch.

To get the right file, run the following;
cd ~/cvs/translate_rhel5/translate/
cvs co comps-po/

Comment 6 Noriko Mizumoto 2006-11-28 02:15:18 EST
> This is not in head...but in branch.
deeply appologize, I commented wrong information. It is on HEAD.
And it has been update recently again. Translators have already worked on.

----------------------------
revision 1.22
date: 2006/11/27 20:08:54;  author: notting;  state: Exp;  lines: +391 -264
update-po/refresh-po
----------------------------
revision 1.21
date: 2006/10/02 19:55:58;  author: notting;  state: Exp;  lines: +1 -1
fix typo
----------------------------
Comment 7 Chester Cheng 2006-12-01 00:01:36 EST
They are fully translated now.
Please rebuild the package.
Comment 8 Dennis Gregorovic 2006-12-07 19:50:50 EST
rhel 5 comps.xml files rebuilt with the latest translations
Comment 9 Jay Turner 2007-01-23 13:49:02 EST
Folks, does this look better with the latest cuts of the tree?
Comment 10 Nicole Dai 2007-01-30 01:45:40 EST
Retested the bug on all locales in RHEL5-CLient-20070121.nightly and
RHEL5-CLient-20070125.nightly. There are still some strings found untranslated: 
pt_BR,de_DE,es_ES,it_IT,ru_RU,ko_KR,ja_JP,zh_TW,as_IN,bn_IN,gu_IN,hi_IN,kn_IN,ml_IN,mr_IN,or_IN,pa_IN,ta_IN,si_LK
Untranslated:Urdu Support

fr_FR,zh_CN
Untranslated:
Arabic Support
Faerosese Support
Galician Support
Gujarati Support
Hindi Support
Irish Support
Lithuanian Support
Telugu Support
Urdu Support

PS: When install with it_IT I found there is a "Supporto Afrikaans" in Language.
 I am not sure if it is correct because the structure of other entries is
"Supporto per ..." such as "Supporto per il basco". Is there anybody who knows
Italian will help us take a look at it? 
Comment 11 Dennis Gregorovic 2007-02-04 00:00:05 EST
Lawrence, Can you help drive forward any missing translations?
Comment 12 Michael Hideo 2007-02-04 19:15:41 EST
Dennis,

can you please regenerate the POT file?

What we have is 100%, so that tells me we need a new POT file.

as.po: 1347/1347 translated words (100.00%)
bn_IN.po: 1347/1347 translated words (100.00%)
de.po: 1347/1347 translated words (100.00%)
es.po: 1347/1347 translated words (100.00%)
fr.po: 1347/1347 translated words (100.00%)
gu.po: 1347/1347 translated words (100.00%)
hi.po: 1347/1347 translated words (100.00%)
it.po: 1347/1347 translated words (100.00%)
ja.po: 1347/1347 translated words (100.00%)
kn.po: 1347/1347 translated words (100.00%)
ko.po: 1347/1347 translated words (100.00%)
ml.po: 1347/1347 translated words (100.00%)
mr.po: 1347/1347 translated words (100.00%)
or.po: 1347/1347 translated words (100.00%)
pa.po: 1347/1347 translated words (100.00%)
pt_BR.po: 1347/1347 translated words (100.00%)
ru.po: 1347/1347 translated words (100.00%)
si.po: 1347/1347 translated words (100.00%)
ta.po: 1347/1347 translated words (100.00%)
te.po: 1347/1347 translated words (100.00%)
zh_CN.po: 1347/1347 translated words (100.00%)
zh_TW.po: 1347/1347 translated words (100.00%)
- Mike



Comment 13 Francesco Valente 2007-02-04 21:04:14 EST
Hi guys 

I changed the entry "Supporto Afrikaans" in "Supporto per l'Afrikaans" and now
it is commited.

Ciao

Francesco
Comment 14 Chester Cheng 2007-02-05 02:20:35 EST
Dennis,

Could you update the .pot file?  The last update was:

description:
----------------------------
revision 1.24
date: 2006/12/07 17:49:03;  author: notting;  state: Exp;  lines: +778 -1797
refresh without bogus strings
----------------------------
Comment 15 Dennis Gregorovic 2007-02-05 11:21:15 EST
comps.pot has been updated
Comment 17 Chester Cheng 2007-02-05 23:20:24 EST
Hi Larry,

The Localization Team is working on it at the moment.  You can re-pack the .po
files in 9 hours.

Chester
Comment 18 Amitakhya Phukan 2007-02-05 23:56:20 EST
as_IN completed and committed to cvs
Comment 19 Dennis Gregorovic 2007-02-06 13:47:06 EST
Created attachment 147503 [details]
report of translation status

Are we waiting on more translations?  Attached is the status that I'm seeing
with the latest round of checkins.
Comment 20 Ankit Patel 2007-02-07 00:03:59 EST
Hi,

Yes, we were waiting for Punjabi (pa.po) translation to complete.

Now all languages we support in-house (as, bn_IN, de, es, fr, gu, hi, it, ja,
kn, ko, ml, mr, or, pt_BR, ru, si, ta, te, zh_CN, zh_TW) are completely
translated for comps-po. Package maintainer can go ahead with the package
rebuild process to include the latest translation.
Comment 21 Dennis Gregorovic 2007-02-07 08:48:01 EST
comps.xml files rebuilt with latest translations.
Comment 22 RHEL Product and Program Management 2007-02-07 19:32:50 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.
Comment 24 A S Alam 2007-02-14 00:02:00 EST
Urdu is not available in POT file, so not translated yet,
Comment 27 Dennis Gregorovic 2007-07-19 14:24:16 EDT
Chester, what's the latest status on this?
Comment 29 Chester Cheng 2008-01-29 20:30:35 EST
Sorry I missed this bug.  Here's the status:
Ankit, can you ask Danishka to localize the si.po then we can resolve this bug?
 Thanks.

as.po: 1414/1414 translated words (100.00%)
bn_IN.po: 1414/1414 translated words (100.00%)
de.po: 1414/1414 translated words (100.00%)
es.po: 1414/1414 translated words (100.00%)
fr.po: 1414/1414 translated words (100.00%)
gu.po: 1414/1414 translated words (100.00%)
hi.po: 1414/1414 translated words (100.00%)
it.po: 1414/1414 translated words (100.00%)
ja.po: 1414/1414 translated words (100.00%)
kn.po: 1414/1414 translated words (100.00%)
ko.po: 1414/1414 translated words (100.00%)
ml.po: 1414/1414 translated words (100.00%)
mr.po: 1414/1414 translated words (100.00%)
or.po: 1414/1414 translated words (100.00%)
pa.po: 1414/1414 translated words (100.00%)
pt_BR.po: 1414/1414 translated words (100.00%)
ru.po: 1414/1414 translated words (100.00%)
si.po: 38/1414 fuzzy words (2.69%), 1319/1414 translated words (93.28%)
ta.po: 1414/1414 translated words (100.00%)
te.po: 1414/1414 translated words (100.00%)
zh_CN.po: 1414/1414 translated words (100.00%)
zh_TW.po: 1414/1414 translated words (100.00%)
Comment 30 Ankit Patel 2008-01-29 23:58:39 EST
Hi Danishka,

Can you please finish comps-po translation ASAP?
Comment 31 Danishka Navin 2008-01-30 03:40:59 EST
Hi Ankit,

Translated and updated the si.po file
Comment 32 Chester Cheng 2008-01-30 19:00:55 EST
Thanks you Danishka and Ankit.

Dennis, the translation is done.  Back to you.  ;)
Comment 33 Dennis Gregorovic 2008-01-31 11:28:19 EST
Latest translations pulled into cvs.devel.redhat.com:/cvs/devel/comps
Comment 35 Alexander Todorov 2008-04-02 08:00:33 EDT
Noriko, Denis,
just to be clear:

1) this bug report is only for translations in comps.xml (e.g. package selection
screen), right? 
2) It is against Client and Server products (I don't know if there are two
comps.xml or only a single one)?
3) It is against all arches (same reason as 2)
4) It is against package group names, not package summary or descriptions ?
Comment 36 Noriko Mizumoto 2008-04-02 21:18:23 EDT
(In reply to comment #35)
> Noriko, Denis,
> just to be clear:
> 
> 1) this bug report is only for translations in comps.xml (e.g. package selection
> screen), right? 
Yes.

> 2) It is against Client and Server products (I don't know if there are two
> comps.xml or only a single one)?
There is one pot file for comps, AFAIK.
http://translate.fedoraproject.org/module/comps

> 3) It is against all arches (same reason as 2)
I **guess so. This has been detected through RHEL5 Beta2 QA test held in 2006.

> 4) It is against package group names, not package summary or descriptions ?
No, not summary or descriptions which are generally translated in Specspo files.
http://translate.fedoraproject.org/module/specspo
Comment 37 Dennis Gregorovic 2008-04-03 02:46:12 EDT
On a related note, I need to update
http://translate.fedoraproject.org/module/comps with the latest strings from the
comps.xml files for RHEL 5.2  Can someone describe that process for me?
Comment 38 Alexander Todorov 2008-04-03 05:06:33 EDT
Dennis,
I'm just guessing but you need to update the POT/PO files with the new strings
and commit them to CVS. Transifex will then pull them from CVS on a regular
basis and update it's local copy. After translations are done and submitted it
will commit to CVS also on regular basis. 

Hope that helps.
Comment 39 A S Alam 2008-04-04 01:35:08 EDT
Created attachment 300386 [details]
still have on untranslated string in ja_JP locale
Comment 40 A S Alam 2008-04-04 01:41:16 EDT
tested with following packages:
anaconda-11.1.2.110-1.i386.rpm
comps-extras-11.1-1.1.noarch.rpm
Comment 42 Dennis Gregorovic 2008-04-10 13:47:29 EDT
I've committed the latest RHEL 5 comps files and their strings to the comps CVS
repository.  Assigning to Chester for translation.
Comment 43 Ankit Patel 2008-04-16 03:17:02 EDT
Hi Dennis,

All of the internaly supported languages are now translated and submitted in the
repository for comps, except below languages, as we don't have resource for
these languages at the moment:
[root@l10n packages]# ./findStatus.sh comps/po/
./comps/po/bn_IN.po:    (2.65%),        fuzzy   (92.72%)        translated
./comps/po/fr.po:       (2.65%),        fuzzy   (92.72%)        translated
./comps/po/or.po:       (9.85%),        fuzzy   (85.93%)        translated
./comps/po/si.po:       (8.28%),        fuzzy   (77.98%)        translated
[root@l10n packages]# 

So, I guess now you can rebuild the package with the latest translations
submitted in the repository.

Additionaly, I would like to suggest to use "rhel5-branch" for submissino of
RHEL5 translations from the next time onwards, so it may not confuse the
community translators.

Thanks!
Ankit
I think you ca
Comment 44 Dennis Gregorovic 2008-04-16 12:55:10 EDT
Hi Ankit,

Thank you for your help and patience as I work through this new process.

Regarding the "rhel5-branch" suggestion... please clarify this a bit.  Are you
suggestion an actual CVS branch called "rhel5" (e.g. cvs tag -b rhel5), a
separate directory called "rhel5", or something else?  Thanks again.

Cheers
-- Dennis
Comment 45 Ankit Patel 2008-04-17 00:55:37 EDT
My suggestion was towards the "cvs tag -b rhel5-branch", as it's already
followed during the RHEL5 GA release cycle and I guess comps is already having
this branch.
Comment 46 Dennis Gregorovic 2008-04-17 07:44:58 EDT
Ankit,  I've gone ahead and created the branch (named "rhel5") and updated the
content accordingly.  Let me know if there's anything else I should change.  Thanks!
Comment 47 Ankit Patel 2008-04-17 08:40:50 EDT
Thanks Dennis so much for the quick action on this!

I hope you will follow the same process for further release of RHEL and Fedora
as well. Check anaconda repository to see how they are using branching. May help
you in future releases...
Comment 48 Ankit Patel 2008-04-17 08:41:08 EDT
(In reply to comment #47)
> Thanks Dennis so much for the quick action on this!
> 
> I hope you will follow the same process for further release of RHEL and Fedora
> as well. Check anaconda repository to see how they are using branching. May help
> you in future releases...

http://git.fedoraproject.org/git/?p=anaconda.git;a=summary forgot to put the URL:
Comment 50 Ankit Patel 2008-04-18 08:10:44 EDT
I think this bug should be assigned to comps package maintainer to rebuild the
comps package with latest translation...
Comment 51 Dennis Gregorovic 2008-04-18 09:21:18 EDT
Hi Ankit.  I have built the comps package with latest translations.  Please
double-check on your end, and if everything looks correct there, I'll dig into
this more on my end.  Thanks!
Comment 54 Ankit Patel 2008-04-28 03:25:30 EDT
Hi (In reply to comment #51)
> Hi Ankit.  I have built the comps package with latest translations.  Please
> double-check on your end, and if everything looks correct there, I'll dig into
> this more on my end.  Thanks!

Hi Dennis,

If you could point me the URL for the RPM package to download and test, I would
be happy to test it quickly...

Thanks!
Comment 58 errata-xmlrpc 2008-05-21 11:40:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0436.html

Note You need to log in before you can comment on or make changes to this bug.